# Draw
TKTopTest
TestTopOpeDraw

# TestTopOpeDraw_ListIteratorOfListOfAsciiString Class Reference

`#include <TestTopOpeDraw_ListIteratorOfListOfAsciiString.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TestTopOpeDraw_ListIteratorOfListOfAsciiString ()
Standard_EXPORT | TestTopOpeDraw_ListIteratorOfListOfAsciiString (const TestTopOpeDraw_ListOfAsciiString &L)
Standard_EXPORT void | Initialize (const TestTopOpeDraw_ListOfAsciiString &L)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT TCollection_AsciiString & | Value () const

## Private Attributes

Standard_Address | current
Standard_Address | previous

## Constructor & Destructor Documentation

Standard_EXPORT TestTopOpeDraw_ListIteratorOfListOfAsciiString::TestTopOpeDraw_ListIteratorOfListOfAsciiString | ( |  | ) |

Standard_EXPORT TestTopOpeDraw_ListIteratorOfListOfAsciiString::TestTopOpeDraw_ListIteratorOfListOfAsciiString | ( | const TestTopOpeDraw_ListOfAsciiString & | L | ) |

## Member Function Documentation

Standard_EXPORT void TestTopOpeDraw_ListIteratorOfListOfAsciiString::Initialize | ( | const TestTopOpeDraw_ListOfAsciiString & | L | ) |

Standard_Boolean TestTopOpeDraw_ListIteratorOfListOfAsciiString::More | ( |  | ) | const

Standard_EXPORT void TestTopOpeDraw_ListIteratorOfListOfAsciiString::Next | ( |  | ) |

void TestTopOpeDraw_ListIteratorOfListOfAsciiString::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TestTopOpeDraw_ListIteratorOfListOfAsciiString::operator new | ( | size_t | size | ) | `[inline]`

void* TestTopOpeDraw_ListIteratorOfListOfAsciiString::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT TCollection_AsciiString& TestTopOpeDraw_ListIteratorOfListOfAsciiString::Value | ( |  | ) | const

## Field Documentation

Standard_Address TestTopOpeDraw_ListIteratorOfListOfAsciiString::current `[private]`

Standard_Address TestTopOpeDraw_ListIteratorOfListOfAsciiString::previous `[private]`

The documentation for this class was generated from the following file:

- TestTopOpeDraw_ListIteratorOfListOfAsciiString.hxx